summaryrefslogtreecommitdiffstats
path: root/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..12fec19
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ purge)
+ rm -f /etc/bash_completion
+ if [ -d /etc/bash_completion.d ]; then
+ # let's remove old bash-completion conffiles
+ for f in $(find /etc/bash_completion.d/ -type f -name "*.dpkg-*"); do
+ dpkg-maintscript-helper rm_conffile ${f%.dpkg-*} 1:1.3-1 -- "$@"
+ done
+ fi
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0